## gnome-shell-extension-appindicator-40-2.src.tar.gz

=== Makefile ===
# simple helper makefile, handles schema compilation, translations and zip file creation

.PHONY= zip-file clean
SHELL := /usr/bin/env bash

# files that go into the zip
ZIP= $(wildcard *.js) metadata.json $(wildcard interfaces-xml/*) \
     $(wildcard locale/*/*/*.mo) $(wildcard schemas/*.xml) \
     schemas/gschemas.compiled

PO_FILES = $(wildcard locale/*.po)
GETTEXT_DOMAIN = 'AppIndicatorExtension'

all: compile-schema translations

zip-file: $(ZIP) compile-schema translations
	@echo +++ Packing archive
	@mkdir -p build
	@rm -f build/appindicator-support.zip
	@zip build/appindicator-support.zip $(ZIP) locale/*/*/*.mo
	$(MAKE) clean-translations clean-gschemas

compile-schema: ./schemas/org.gnome.shell.extensions.appindicator.gschema.xml
	@echo +++ Compiling schema
	@glib-compile-schemas schemas

schemas/gschemas.compiled: compile-schema

check:
	eslint $(shell find -name '*.js')

translations: $(PO_FILES)
	@echo +++ Processing translations
	@for pofile in $^; do \
		localedir="$${pofile/.po}/LC_MESSAGES/"; \
		mkdir -p $$localedir; \
		msgfmt "$$pofile" -o "$$localedir/"$(GETTEXT_DOMAIN).mo; \
	done

clean-translations:
	rm -rf ls -d locale/*/

clean-gschemas:
	rm -f schemas/gschemas.compiled

clean: clean-translations clean-gschemas
	@echo +++ Removing all generated files
	rm -rf build

=== PKGBUILD ===
# Maintainer: kpcyrd <kpcyrd[at]archlinux[dot]org>

pkgname=gnome-shell-extension-appindicator
pkgver=40
pkgrel=2
pkgdesc='AppIndicator/KStatusNotifierItem support for GNOME Shell'
url='https://github.com/ubuntu/gnome-shell-extension-appindicator'
arch=('any')
license=('GPL')
depends=('gnome-shell>=3.34')
makedepends=('zip')
optdepends=(
  'libappindicator-gtk2: support GTK+2 applications'
  'libappindicator-gtk3: support GTK+3 applications'
)
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/ubuntu/${pkgname}/archive/v${pkgver}.tar.gz")
sha256sums=('4ababf6ba4dbfd5af62e4539499c0e7a717d1873295733c36beb5396dbfaf7ed')

build() {
  cd "${pkgname}-${pkgver}"
  make zip-file
}

package() {
  cd "${pkgname}-${pkgver}"
  local dest="${pkgdir}/usr/share/gnome-shell/extensions/appindicatorsupport@rgcjonas.gmail.com"

  install -d "${dest}"
  bsdtar --no-same-owner -xvf build/appindicator-support.zip -C "${dest}"
}

# vim: ts=2 sw=2 et:
